import { select, arc } from 'd3';


const svg = select('svg');
const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g');
const circle = g.append('circle');
const eyesG = g.append('g');

const smileG = g.append('g');


const leftEye = eyesG.append('circle');
const rightEye = eyesG.append('circle');
const eyesR = 40;
const eyesX = 100;
const eyesY = 100;

const eyebrowWidth = 100;
const eyebrowHeight = eyesR / 2;
const eyebrowYOffset = -170;

const eyebrowsG = eyesG.append('g').attr('transform', `translate(0, ${eyebrowYOffset})`);


const smile = smileG.append('path').attr('fill', 'black');




const eyebrowL = 
      eyebrowsG
				.append('rect')
				.attr('width', eyebrowWidth)
				.attr('height', eyebrowHeight)
				.attr('fill', 'black')
				.attr('transform', `translate(${-eyesX - eyebrowWidth / 2 })`);

const eyebrowR = 
      eyebrowsG
				.append('rect')
				.attr('width', eyebrowWidth)
				.attr('height', eyebrowHeight)
				.attr('fill', 'black')
				.attr('transform', `translate(${eyesX - eyebrowWidth / 2})rotate(-20)`);							

g
  .attr('transform', `translate(${width/2}, ${height/2})`)
	.attr('fill','yellow')
	.attr('stroke','maroon');


circle
  .attr('r', height/2);


leftEye
	.attr('r', eyesR)
	.attr('cx', -eyesX)
	.attr('cy', -eyesY)
	.attr('fill', 'black');

rightEye
	.attr('r', eyesR)
	.attr('cx', eyesX)
	.attr('cy', -eyesY)
	.attr('fill', 'black');


const smileArc = arc()({
  innerRadius: 150,
  outerRadius: 170,
  startAngle: Math.PI/2,
  endAngle: Math.PI * 3/2
});

smile.attr('d', smileArc)


console.log(svg)









